<?php
//////////////////////////////////////////
// CHAT POWERED : http://sim-sim.h2m.ru//
// ICQ : 378036650                     //
// Email : olegarhi75@mail.ru          //
// WEB SITE Version 1.0 www.waufon.ru  //
////////////////////////////////////////
$ref = rand( 1000000, 1000000 );
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$login = autorize();
$sound =  $login['sound'] ;
if ( empty( $do ) )
{
echo "<title>Анкета</title>
\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n.cp \t{ border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }\r\n</style>\r\n";
echo"</head>\r\n<body>\r\n";
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/prikaz.wav\"></br>";
}
echo"<div align=\"center\">".$row['login']."</div>\r\n";
echo"<form action=\"profile.php\" method=\"post\">\r\n";
echo"Имя:<br/>\r\n<input type=\"text\" name=\"name\" value=\"".$row['name']."\"/><br/>\r\n";
echo"Новый пароль:<br/>\r\n<input type=\"text\" name=\"newpass\" value=\"".$row['pass']."\"/><br/>\r\n";
echo"Настроение:<br/>\r\n<select name=\"nastroj\" title=\"Настроение\">\r\n
<option value=\"0\">[выключено]</option>\r\n
<option value=\"1\">[бодрое]</option>\r\n
<option value=\"2\">[прекрасное]</option>\r\n
<option value=\"3\">[весёлое]</option>\r\n
<option value=\"4\">[ангельское]</option>\r\n
<option value=\"5\">[агрессивное]</option>\r\n
<option value=\"6\">[изумлённое]</option>\r\n
<option value=\"7\">[удивлённое]</option>\r\n
<option value=\"8\">[злое]</option>\r\n
<option value=\"9\">[сердитое]</option>\r\n
<option value=\"10\">[сонное]</option>\r\n
<option value=\"11\">[озлоблённое]</option>\r\n
<option value=\"12\">[скучающее]</option>\r\n
<option value=\"13\">[оживлённое]</option>\r\n
<option value=\"14\">[угрюмое]</option>\r\n
<option value=\"15\">[размышляющее]</option>\r\n
<option value=\"16\">[занятое]</option>\r\n
<option value=\"17\">[нахальное]</option>\r\n
<option value=\"18\">[холодное]</option>\r\n
<option value=\"19\">[смущённое]</option>\r\n
<option value=\"20\">[крутое]</option>\r\n
<option value=\"21\">[дерзкое]</option>\r\n
<option value=\"22\">[смутённое]</option>\r\n
<option value=\"23\">[дьявольское]</option>\r\n
<option value=\"24\">[сварливое]</option>\r\n
<option value=\"25\">[счастливое]</option>\r\n
<option value=\"26\">[горячёе]</option>\r\n
<option value=\"27\">[влюблённое]</option>\r\n
<option value=\"28\">[невинное]</option>\r\n
<option value=\"29\">[вдохновлённое]</option>\r\n
<option value=\"30\">[одинокое]</option>\r\n
<option value=\"31\">[скрытое]</option>\r\n
<option value=\"32\">[пушистое]</option>\r\n
<option value=\"33\">[задумчивое]</option>\r\n
<option value=\"34\">[психоделическое]</option>\r\n
<option value=\"35\">[расслаблёное]</option>\r\n
<option value=\"36\">[грустное]</option>\r\n
<option value=\"37\">[испуганное]</option>\r\n
<option value=\"38\">[шокированное]</option>\r\n
<option value=\"39\">[потрясённое]</option>\r\n
<option value=\"40\">[больное]</option>\r\n
<option value=\"41\">[хитрое]</option>\r\n
<option value=\"42\">[усталое]</option>\r\n
<option value=\"43\">[утомлённое]</option>\r\n</select><br/>\r\n";
echo"Пол:<br/>\r\n<select name=\"sex\" title=\"Пол\" value=\"".$row['sex']."\">\r\n";
echo"<option value=\"0\">Не знаю</option>\r\n";
echo"<option value=\"1\">Парень</option>\r\n";
echo"<option value=\"2\">Девушка</option>\r\n</select><br/>\r\n";
$bday = $row['bday'] ;
$bmonth = $row['bmonth'] ;
$byear = $row['byear'] ;
echo"<br/>Дата рождения:<br/>\r\n
<input type=\"text\" name=\"bday\" format=\"*N\" maxlength=\"2\" size=\"2\"/ value=\"".$row['bday']."\" >-\r\n
<input type=\"text\" name=\"bmonth\" format=\"*N\" maxlength=\"2\" size=\"2\"/ value=\"".$row['bmonth']."\" >-\r\n
<input type=\"text\" name=\"byear\" format=\"*N\" maxlength=\"4\" size=\"4\"/ value=\"".$row['byear']."\" ><br/>\r\n<br/>\r\n";
echo"Место жительства:<br/>\r\n<input type=\"text\" name=\"live\" value=\"".$row['live']."\"/><br/>\r\n";
echo"Модель мобилы:<br/>\r\n<input type=\"text\" name=\"mobile\" value=\"".$row['mobile']."\"/><br/>\r\n";
echo"e-mail:<br/>\r\n<input type=\"text\" name=\"email\" value=\"".$row['email']."\"/><br/>\r\n";
echo"Аська:<br/>\r\n<input type=\"text\" name=\"icq\" value=\"".$row['icq']."\"/><br/>\r\n";
echo"Сайт:<br/>\r\n<input type=\"text\" name=\"url\" value=\"".$row['url']."\"/><br/>\r\n";
echo"О себе:<br/>\r\n<input type=\"text\" name=\"about\" value=\"".$row['about']."\"/><br/>\r\n";
echo"<input type=\"hidden\" name=\"do\" value=\"upd\"/>\r\n";
echo"<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>\r\n";
echo"<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/> \r\n";
echo"<input type=\"hidden\" name=\"rm\" value=\"{$rm}\"/> \r\n";
echo"<input value=\"Сохранить\" type=\"submit\" class=\"cp\">\r\n</form>";
}
else
{
$name = substr( $name, 0, 20 );
$newpass = substr( $newpass, 0, 20 );
$live = substr( $live, 0, 200 );
$mobile = substr( $mobile, 0, 200 );
$about = substr( $about, 0, 200 );
$about = check( $about );
$nastroj = intval( $nastroj );
$email = substr( $email, 0, 100 );
$icq = substr( $icq, 0, 100 );
$url = substr( $url, 0, 200 );
$name = check( $name );
$newpass = check( $newpass );
$nastroj = intval( $nastroj );
$sex = intval( $sex );
$bday = substr(intval($_POST['bday']), 0, 2);
$bmonth = substr(intval($_POST['bmonth']), 0, 2);
$byear = substr(intval($_POST['byear']), 0, 4);
$bdata = "$byear-$bmonth-$bday";
$birth = "$bmonth-$bday";
$live = check( $live );
$mobile = check( $mobile );
$email = check( $email );
$icq = check( $icq );
$url = check( $url );
$em = check( $em );
$vyd = check( $vyd );
$priv = check( $priv );
if ( @mysql_query( @"update users set name='{$name}',pass='{$newpass}',nastroj='{$nastroj}',sex='{$sex}',birth='{$birth}',bdata='{$bdata}',bday='{$bday}',bmonth='{$bmonth}',byear='{$byear}',live='{$live}',mobile='{$mobile}',email='{$email}',vyd='{$vyd}',priv='{$priv}',em='{$em}',icq='{$icq}',url='{$url}',about='{$about}' where id='".$id."';" ) )
if ( @mysql_query( @"update users set name='{$name}',pass='{$newpass}',sex='{$sex}',bdata='{$bdata}',bday='{$bday}',bmonth='{$bmonth}',byear='{$byear}',live='{$live}',mobile='{$mobile}',email='{$email}',vyd='{$vyd}',priv='{$priv}',em='{$em}',icq='{$icq}',url='{$url}',nastroj='{$nastroj}',about='{$about}' where id='".$id."';" ) ) 
{
$msg = "Ваш профиль изменен!";
}
else
{
$msg = "Ошибка...";
}
$pass = $newpass;
echo "<meta http-equiv=\"refresh\" content=\"1;URL=./index.php?id={$id}&amp;pass={$pass}\"/>\r\n<title>Reload...</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">{$msg}</div>";
}
print "<a href=\"index.php?id={$id}&amp;pass={$pass}\">Личное</a><br/>\r\n<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a><br/>";
$end = gettime( );
echo "<p>{$ip}</p>";
echo "<p align=\"center\">\r\n[".round( $end - $mystart, 5 )."]\r\n</p></body></html>";
require("../inc/coper.php");
mysql_close( $link );
?>